org.freedesktop.bindings

## Class Version

- Object
- - org.freedesktop.bindings.Version

-     public final class Version
      extends Object

  Version constants for the java-gnome library. The top level `.config` Makefile fragment depends on this file and the `./configure` of Equivalence extracts the values for the library API version and (pending) release version from the constants defined herein.
  Since:
    4.0.2
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getAPI()` The API version (also known as "SLOT") of the java-gnome library.
    `static String` | `getVersion()` The full (usually three digit) version of java-gnome.

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAPI

          public static final String getAPI()

      The API version (also known as "SLOT") of the java-gnome library. Notably, this is used to name the `.jar` file.

    - #### getVersion

          public static final String getVersion()

      The full (usually three digit) version of java-gnome. This is used in a number of the examples and screenshots, but far more critically it is used to precisely identify which version of the shared library with the native code is to be loaded.